### A free/open-source library for quantitative finance

TARGET Class Reference
Calendars

TARGET calendar More...

`#include <ql/time/calendars/target.hpp>`

Inheritance diagram for TARGET:
[legend]

List of all members.

## Detailed Description

TARGET calendar

Holidays (see http://www.ecb.int):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Good Friday (since 2000)
- Easter Monday (since 2000)
- Labour Day, May 1st (since 2000)
- Christmas, December 25th
- Day of Goodwill, December 26th (since 2000)
- December 31st (1998, 1999, and 2001)

Tests:
  the correctness of the returned results is tested against a list of known holidays.

Examples:
  BermudanSwaption.cpp, Bonds.cpp, CDS.cpp, ConvertibleBonds.cpp, DiscreteHedging.cpp, EquityOption.cpp, and swapvaluation.cpp.